WHAT IT ANSWERS
这张表适合回答什么
- 查看盘中期权流机制是否触发
- 比较相邻快照持续性
- 分析 call 与 put 侧证据
DATASET · research
research.rt_option_flow_ledger
按美东时间快照保存每个标的九条实时期权流机制腿的触发状态和数值。
session_dateWHAT IT ANSWERS
GRAIN & TIME
KEY FIELDS
session_dateunderlyingsnapshot_tsRECOMMENDED JOINS
该表主要按自身业务键使用,目前没有推荐的跨表主键联接。
HOW TO QUERY SAFELY
先用 catalog 确认当前契约;可按 catalog 中列出的 filters 进一步缩小范围;单页最多 5000 行,该表不提供稳定 cursor,结果过大时必须缩小标的、日期或其他筛选。
MACHINE CONTRACT
session_date, underlying, snapshot_ts—canonical_final_activeproducer_version→ producer_version · stringunderlying→ underlying · stringPOINT IN TIME
该资产没有 PIT 契约。普通 rows 端点仍按当前公开读模式返回数据;不要把它表述成历史时点快照。
COPY-READY CALLS
同一数据集可用 HTTP、Python SDK、CLI 或 MCP;Key 始终只通过环境变量/Bearer Header 传递。
curl --fail-with-body -H "Authorization: Bearer $FRIENDS_DATA_API_KEY" "https://api.alphahubs.uk/api/v1/data/datasets/research/rt_option_flow_ledger/rows?limit=100&start=2026-08-01&end=2026-08-01"from friends_data_api import FriendsDataClient, Settings
async with FriendsDataClient(Settings.from_env()) as client:
page = await client.get_dataset_rows('research', 'rt_option_flow_ledger', limit=100, start='2026-08-01', end='2026-08-01')
print(page.data)
if page.has_more:
print("next cursor:", page.next_cursor)friends-data get-dataset-rows research rt_option_flow_ledger --limit 100 --start 2026-08-01 --end 2026-08-01{
"arguments": {
"dataset": "rt_option_flow_ledger",
"end": "2026-08-01",
"filters": {},
"limit": 100,
"namespace": "research",
"start": "2026-08-01"
},
"tool": "get_dataset_rows"
}FIELD DICTIONARY
descriptionSource 可在 JSON 中区分仓库注释、标准术语表和名称推导说明。
| # | 字段 | ClickHouse 类型 | JSON | 可空 | 角色 | 说明 |
|---|---|---|---|---|---|---|
| 1 | session_datedate | Date | string / date | no | time, default_order, warehouse_primary_key | Calendar date for session date (YYYY-MM-DD).名称推导 |
| 2 | snapshot_tsUTC_datetime | DateTime64(3, 'America/New_York') | string / date-time | no | default_order, warehouse_primary_key | UTC timestamp for snapshot ts.名称推导 |
| 3 | underlying | LowCardinality(String) | string | no | filter, default_order, warehouse_primary_key | Source-normalized field: underlying.名称推导 |
| 4 | rt_signed_call_flow | Nullable(Float64) | number | yes | value | Source-normalized field: rt signed call flow.名称推导 |
| 5 | rt_call_sweep | Nullable(Float64) | number | yes | value | Source-normalized field: rt call sweep.名称推导 |
| 6 | rt_premove_call | Nullable(Float64) | number | yes | value | Source-normalized field: rt premove call.名称推导 |
| 7 | rt_vol_oi_uoa | Nullable(Float64) | number | yes | value | Source-normalized field: rt vol oi uoa.名称推导 |
| 8 | rt_putcall_flow_skew | Nullable(Float64) | number | yes | value | Source-normalized field: rt putcall flow skew.名称推导 |
| 9 | rt_gex | Nullable(Float64) | number | yes | value | Source-normalized field: rt gex.名称推导 |
| 10 | rt_call_iv_skew | Nullable(Float64) | number | yes | value | Source-normalized field: rt call iv skew.名称推导 |
| 11 | overnight_iv_jump | Nullable(Float64) | number | yes | value | Source-normalized field: overnight iv jump.名称推导 |
| 12 | rt_relvol_spike | Nullable(Float64) | number | yes | value | Source-normalized field: rt relvol spike.名称推导 |
| 13 | rt_signed_call_flow_fired | UInt8 | integer | no | value | Source-normalized field: rt signed call flow fired.名称推导 |
| 14 | rt_call_sweep_fired | UInt8 | integer | no | value | Source-normalized field: rt call sweep fired.名称推导 |
| 15 | rt_premove_call_fired | UInt8 | integer | no | value | Source-normalized field: rt premove call fired.名称推导 |
| 16 | rt_vol_oi_uoa_fired | UInt8 | integer | no | value | Source-normalized field: rt vol oi uoa fired.名称推导 |
| 17 | rt_putcall_flow_skew_fired | UInt8 | integer | no | value | Source-normalized field: rt putcall flow skew fired.名称推导 |
| 18 | rt_gex_fired | UInt8 | integer | no | value | Source-normalized field: rt gex fired.名称推导 |
| 19 | rt_call_iv_skew_fired | UInt8 | integer | no | value | Source-normalized field: rt call iv skew fired.名称推导 |
| 20 | overnight_iv_jump_fired | UInt8 | integer | no | value | Source-normalized field: overnight iv jump fired.名称推导 |
| 21 | rt_relvol_spike_fired | UInt8 | integer | no | value | Source-normalized field: rt relvol spike fired.名称推导 |
| 22 | n_fired | UInt8 | integer | no | value | Count of fired.名称推导 |
| 23 | rt_signed_call_flow_bearish_fired | UInt8 | integer | no | value | Source-normalized field: rt signed call flow bearish fired.名称推导 |
| 24 | rt_premove_call_bearish_fired | UInt8 | integer | no | value | Source-normalized field: rt premove call bearish fired.名称推导 |
| 25 | rt_vol_oi_uoa_bearish_fired | UInt8 | integer | no | value | Source-normalized field: rt vol oi uoa bearish fired.名称推导 |
| 26 | rt_putcall_flow_skew_bearish_fired | UInt8 | integer | no | value | Source-normalized field: rt putcall flow skew bearish fired.名称推导 |
| 27 | n_fired_bearish | UInt8 | integer | no | value | Count of fired bearish.名称推导 |
| 28 | rt_vol_oi_buy_dom | Nullable(Float64) | number | yes | value | Source-normalized field: rt vol oi buy dom.名称推导 |
| 29 | und_last_price | Nullable(Float64) | number | yes | value | Price value for und last price.名称推导 |
| 30 | und_move_pct_at_snap | Nullable(Float64) | number | yes | value | Source-normalized field: und move pct at snap.名称推导 |
| 31 | call_notional_premium | Nullable(Float64) | number | yes | value | Source-normalized field: call notional premium.名称推导 |
| 32 | total_contracts | UInt64 | integer | no | value | Source-normalized field: total contracts.名称推导 |
| 33 | classified_share | Nullable(Float64) | number | yes | value | Source-normalized field: classified share.名称推导 |
| 34 | call_sweep_contracts | UInt64 | integer | no | value | Source-normalized field: call sweep contracts.名称推导 |
| 35 | call_block_contracts | UInt64 | integer | no | value | Source-normalized field: call block contracts.名称推导 |
| 36 | atm_iv | Nullable(Float64) | number | yes | value | Source-normalized field: atm iv.名称推导 |
| 37 | fwd_ret_1d | Nullable(Float64) | number | yes | value | Source-normalized field: fwd ret 1d.名称推导 |
| 38 | fwd_max_ret_5d | Nullable(Float64) | number | yes | value | Source-normalized field: fwd max ret 5d.名称推导 |
| 39 | outcome_asof | Nullable(Date) | string / date | yes | value | Source-normalized field: outcome asof.名称推导 |
| 40 | producer_version | LowCardinality(String) | string | no | filter | Source-normalized field: producer version.名称推导 |
| 41 | ingest_run_id | String | string | no | provenance | Identifier of the ingestion run that produced the row.标准术语表 |
| 42 | version | UInt64 | integer | no | provenance | Monotonic row version used for correction-aware reads.标准术语表 |
| 43 | is_deleted | UInt8 | integer | no | value | Soft-delete marker; public serving excludes current tombstones.标准术语表 |
换一个字段名、类型或角色。
结构来自 Friends 只读身份可见的真实 serving relation;权限、过滤、排序、PIT 与分页来自可执行 DatasetSpec。Schema observed at 2026-10-06T18:08:52Z。